Summary: Graphical IRC (chat) client
Summary(fr): Client IRC (chat) avec interface graphique
Summary(de): IRC-Client (Chat) mit grafischer Oberfläche

%define name	xchat
%define version	2.4.0
%define release	1%{_my_ext}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/IRC
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}
License: GPL
URL: http://www.xchat.org
Source0: %{name}-%{version}.tar.bz2
Source1: xchatb_16.xpm.bz2
Source2: xchatb_32.xpm.bz2
Source3: xchatb_48.xpm.bz2
Source4: mailcheck.so.bz2

%define perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define python_version	%(rpm -q --qf '%%{version}' python)
%define tcl_version	%(rpm -q --qf '%%{version}' tcl)

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: gtk2
Requires: openssl

BuildRequires:  gettext
BuildRequires:	bison
Buildrequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	tcl
BuildRequires:  ImageMagick

%description
A GUI IRC client with DCC file transfers, C plugin interface, Perl
and Python scripting capability, mIRC color, shaded transparency,
tabbed channels and more.

This package was made for MDK 10.x because Mandrake does not include
this package as a update in there RPM tree's.

Does NOT include the build for SOCKS5 support.

This build includes the orginal mailcheck as a plugin.

Build Options:
  --enable-openssl --enable-ipv6  --enable-hebrew --enable-japanese-conv \
  --enable-python --enable-tcl --enable-textfe

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	xchat >= 2.1.0
Requires:	perl-base = %perl_version
%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	xchat >= 2.1.0
Requires:	python = %python_version
%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	xchat >= 2.1.0
Requires:	tcl = %tcl_version
%description tcl
Provides TCL scripting capability to XChat.

%prep
%setup -q

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure --enable-openssl \
	   --enable-ipv6 \
	   --enable-hebrew \
	   --enable-japanese-conv \
	   --enable-python \
	   --enable-tcl \
	   --enable-textfe

make

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps $RPM_BUILD_ROOT%{_libdir}/xchat/plugins
%makeinstall
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/perl.so
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/python.so
strip -R .note -R .comment $RPM_BUILD_ROOT%{_libdir}/tcl.so

mv $RPM_BUILD_ROOT%{_libdir}/perl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/perl.so
mv $RPM_BUILD_ROOT%{_libdir}/python.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/python.so
mv $RPM_BUILD_ROOT%{_libdir}/tcl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/tcl.so

mv $RPM_BUILD_ROOT%{_libdir}/perl.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
mv $RPM_BUILD_ROOT%{_libdir}/python.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
mv $RPM_BUILD_ROOT%{_libdir}/tcl.la $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/

#install the orginal mailcheck for xchat
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/mailcheck.so

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}/ $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/xchat.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/xchat.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/xchat.xpm

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
	section="Networking/IRC" \
	title="Xchat" \
	longtitle="Graphical IRC (chat) client" \
	command="%{_bindir}/%{name}" \
	icon="/usr/share/icons/%{name}.xpm"
EOF

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog faq.html COPYING plugins/plugin20.html plugins/perl/xchat2-perldocs.html
%{_bindir}/xchat
%{_bindir}/xchat-text
%{_datadir}/applications/xchat.desktop
%{_datadir}/pixmaps/xchat.png
%{_menudir}/*
%{_iconsdir}/xchat.xpm
%{_liconsdir}/xchat.xpm
%{_miconsdir}/xchat.xpm
%{_libdir}/xchat/plugins/mailcheck.so

%files perl
%defattr(-,root,root)
%{_libdir}/xchat/plugins/perl.so
%{_libdir}/xchat/plugins/perl.la

%files python
%defattr(-,root,root)
%{_libdir}/xchat/plugins/python.so
%{_libdir}/xchat/plugins/python.la

%files tcl
%defattr(-,root,root)
%{_libdir}/xchat/plugins/tcl.so
%{_libdir}/xchat/plugins/tcl.la

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog

 * Mon Sep 20 2004 - Scott Grayban <sgrayban@borgnet.us>
 - Xcaht 2.4.0 Build for Mandrake 10
